The `Functor` is a type-class providing the `map` operation that allows lifting an `f` function into the functor context and applying it.

Instances must obey these laws:

1. Identity: `F.map(x => x, a) <-> a`
2. Composition: `F.map(x => f(g(x)), a) <-> F.map(f, F.map(g, a))`

Equivalent with the `Functor` type-class in the Fantasy-Land and static-land specifications.

### Type parameters

- #### F

### Hierarchy

- Functor
  - Apply

## Index

### Methods

- map

## Methods

### map

- map<A, B>(f: function, fa: HK<F, A>): HK<F, B>

- - Defined in functor.ts:27

  #### Type parameters

  - #### A

  - #### B

  #### Parameters

  - ##### f: function

    - - (a: A): B

      - #### Parameters

        - ##### a: A

        #### Returns B

  - ##### fa: HK<F, A>

  #### Returns HK<F, B>

Generated using TypeDoc